### Method

# ECal ComponentPeriod get_start

since: 3.34

#### Declaration [src]

    ICalTime*
    e_cal_component_period_get_start (
      const ECalComponentPeriod* period
    )

#### Description [src]

Returns the start of the `period`. The returned `ICalTime` object is owned by `period` and should not be freed. It’s valid until the `period` is freed or its start time changed.

Available since: 3.34

#### Return value

Type: `None`

The start of the `period`, as an `ICalTime`.

The returned data is owned by the instance.